Redmine - Patch #21582

Performance in User#roles_for_project
2015-12-22 00:33 - Ondfej Ezr

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Performance Estimated time: 0.00 hour
Target version: 3.3.0

Description

roles are duplicating a scope not an result, thus every hit produce a query, cached, but it is still not desired.

Associated revisions

Revision 15060 - 2016-01-16 08:50 - Jean-Philippe Lang

Performance in User#roles_for_project (#21582).

Patch by by Ondrej Ezr.

History

#1 - 2016-01-10 04:13 - Go MAEDA

- Target version set to 3.3.0

| think we can remove the last 'dup' method from Ondfej Ezr's patch because ActiveRecord::Associations::CollectionProxy#to_a returns copied
objects.

# File activerecord/lib/active_record/associations/collection_proxy.rb, line 943
def to_ary
load_target.dup
end

#2 - 2016-01-10 12:37 - Ondiej Ezr

true, | just put to_a there with heureka feeling, but you are right dup is meaningless now :)

#3 - 2016-01-10 17:01 - Go MAEDA

Thanks for your feedback. Nice eureka!

#4 - 2016-01-16 08:50 - Jean-Philippe Lang
- Subject changed from Performance in roles to Performance in User#roles_for_project
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

Files

roles_duping_scope.diff 450 Bytes 2015-12-21 Ondfej Ezr
